# role_gitea

Rôle de déploiement de gitea.

## Fonctionnement

Ce rôle nécessite la création d'un utilisateur dédié. La création de cet utilisateur passe par un rôle défini dans `meta/main.yml`.<br>
La configuration de logrotate est poussée en écrasant le fichier `/etc/logrotate.d/gitea`. 

## Variables

### gitea_version_file

URL permettant de déterminer quelle est la dernière version.

<span style="text-decoration: underline">Valeur par défaut:</span> `https://dl.gitea.io/gitea/version.json`

### gitea_version

Afin d'installer une version spécifique, définir cette variable.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### gitea_architecture

Architecture de la machine où est effectué le déploiement.

<span style="text-decoration: underline">Valeur par défaut:</span> `arm64`

### gitea_install_path

Emplacement d'installation du binaire.

<span style="text-decoration: underline">Valeur par défaut:</span> `/opt/gitea`

### gitea_logs_path

Emplacement où seront stockés les journaux.

<span style="text-decoration: underline">Valeur par défaut:</span> `/var/log/gitea`
